
function getCurrentDate() {
	var today = new Date();
	var dd = today.getDate();
	var mm = today.getMonth()+1; //January is 0!
	
	var yyyy = today.getFullYear();
	if(dd<10){dd='0'+dd} if(mm<10){mm='0'+mm} today = yyyy+'-'+mm+'-'+dd;
	return today;
}

function errorDB(err) {
    if (err.code) {
        if ( debugAlert ) {
            alert("Error processing SQL: " + err.code + ' - ' + err.message);
        }
        console.log("Error processing SQL: "+err.code + ' - ' + err.message);
    }
}

function updateCONFIG(){
	//var db = window.openDatabase("utilusa", "1.0", "UtilUSA DB", 10000);
	db.transaction(updateCONFIGTable, errorDB);
}

function updateCONFIGTable(tx) {
	var sqlStmt = "UPDATE CONFIG SET eurusd='" + cambioEURUSD + "', fecha='" + fechaCambio + "', tipotax='" + taxes + "', datos='" + estadoSelec + "'";
    if ( debugAlert ) {
        alert(sqlStmt);
    }
	tx.executeSql(sqlStmt, [], updateCONFIGSuccess, errorDB);
}

function updateCONFIGSuccess(tx, results){
	console.log("Returned rows = " + results.rowAffected);
	//showAlert('Tipo de cambio actualizado');
    showAlert(getLanguageValue("cambioActualizado"));
}		

function updateTAXES(){
	//var db = window.openDatabase("utilusa", "1.0", "UtilUSA DB", 10000);
	db.transaction(updateTAXESTable, errorDB);
}

function updateTAXESTable(tx) {
	var sqlStmt = "UPDATE CONFIG SET eurusd='" + cambioEURUSD + "', fecha='" + fechaCambio + "', tipotax='" + taxes + "', datos='" + estadoSelec + "'";
	tx.executeSql(sqlStmt, [], updateTAXESSuccess, errorDB);
}

function updateTAXESSuccess(tx, results){
	console.log("Returned rows = " + results.rowAffected);
	//showAlert('Configuración actualizada');
    showAlert(getLanguageValue("configActualizada"));
}		

function insertTAXESSuccess(tx, results){
	console.log("Impuestos insertados. Rows = " + results.rowAffected);
    if ( debugAlert ) {
        alert('Impuestos insertados');
    }
}		

function callback_error(XMLHttpRequest, textStatus, errorThrown) {
    if ( debugAlert ) {
        alert(errorThrown);
    }
	console.log('Error callback: ' + errorThrown); 
	showAlert(errorThrown);
}

function showAlert(text){
    var $this = $(".show-page-loading-msg"),
        theme = $this.jqmData( "theme" ) || $.mobile.loader.prototype.options.theme,
        msgText = text || $.mobile.loader.prototype.options.text,
       	textVisible = $this.jqmData( "textvisible" ) || $.mobile.loader.prototype.options.textVisible,
       	textonly = !!$this.jqmData( "textonly" );

        html = $this.jqmData( "html" ) || "";
    $.mobile.loading( "show", {
            text: msgText,
            textVisible: textVisible,
            theme: theme,
            textonly: textonly,
            html: html
    });
    window.setTimeout(hideAlert, 2000);
}

function showLoading(){
    var $this = $(".show-page-loading-msg"),
        theme = $this.jqmData( "theme" ) || $.mobile.loader.prototype.options.theme,
        msgText = '',
        textVisible = false,
        textonly = false;

        html = $this.jqmData( "html" ) || "";
    $.mobile.loading( "show", {
            text: msgText,
            textVisible: textVisible,
            theme: theme,
            textonly: textonly,
            html: html
    });
}

function hideAlert(){
	 $.mobile.loading( "hide" );
}

function getCambio() {
    if ( debugAlert ) {
        alert('Pidiendo cambio para ' + device.uuid);
    }
	$.ajax({
		url:'http://www.rodiniaweb.com/android/utilusa.php?uuid=' + device.uuid,
        //url:'http://www.rodiniaweb.com/android/utilusa.php',
		dataType: 'text',
		crossDomain: true,
		timeout: 10000,
		success: function(data, status) {
            if ( debugAlert ) {
                alert('Nuevo cambio: #' + data + '#');
            }
			data = data.substring(0,6);
            if ( debugAlert ) {
                alert('Nuevo cambio: #' + data + '#');
            }
			cambioEURUSD = data;
			fechaCambio = getCurrentDate();
			datos = '';
			updateCONFIG();
		},
		error: callback_error
	});
}


