
var cambioEURUSD = 1.3047;
var fechaCambio = '2013-07-15';
var taxes = 8.875;
var datos = '';
var taxEstados = new Array();
var estadoSelec = '33';
    taxEstados[33] = 8.875;
var estadoSelecTmp = '';
var db;


function isNumber(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}

function PuntoAComa(cantidad){
	return cantidad.replace(".", ",");
}

function ComaAPunto(cantidad){
	return cantidad.replace(",", ".");
}

function FtoC(gradosF){
	var temp = (gradosF - 32) / 1.8;
	temp = temp.toFixed(1);
	return temp;
}

function CtoF(gradosC){
	var temp = (gradosC * 1.8) + 32;
	temp = temp.toFixed(1);
	return temp;
}

function MtoF(metros){
	var temp = (metros * 3.2808);
	temp = temp.toFixed(2);
	return temp;
}

function FtoM(feet){
	var temp = (feet / 3.2808);
	temp = temp.toFixed(2);
	return temp;
}

function CtoP(centimetros){
	var temp = (centimetros * 0.3937);
	temp = temp.toFixed(2);
	return temp;
}

function PtoC(pulgadas){
	var temp = (pulgadas / 0.3937);
	temp = temp.toFixed(2);
	return temp;
}

function KtoL(kilos){
	var temp = (kilos * 2.2046);
	temp = temp.toFixed(2);
	return temp;
}

function LtoK(libras){
	var temp = (libras / 2.2046);
	temp = temp.toFixed(2);
	return temp;
}

function GtoO(gramos){
	var temp = (gramos * 0.035274);
	temp = temp.toFixed(2);
	return temp;
}

function OtoG(onzas){
	var temp = (onzas / 0.035274);
	temp = temp.toFixed(2);
	return temp;
}

function MltoO(mililitros){
    var temp = (mililitros * 0.033814);
    temp = temp.toFixed(2);
    return temp;
}

function OtoMl(onzasliq){
    var temp = (onzasliq / 0.033814);
    temp = temp.toFixed(2);
    return temp;
}

function EURtoUSD(euros){
	var temp = (euros * cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function USDtoEUR(dolares){
	var temp = (dolares / cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function EURKGtoUSDLB(euroskg){
	var temp = (euroskg / 2.2046);
	temp = (temp * cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function USDLBtoEURKG(dolareslb){
	var temp = (dolareslb * 2.2046);
	temp = (temp / cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function EURLITtoUSDGAL(euroslit){
	var temp = (euroslit / 0.2642);
	temp = (temp * cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function USDGALtoEURLIT(centgal){
	var temp = (centgal * 0.2642);
	temp = (temp / cambioEURUSD);
	temp = temp.toFixed(2);
	return temp;
}

function MET2toFEET2(met2){
	var temp = (met2 * 10.764);
	temp = temp.toFixed(2);
	return temp;
}

function FEET2toMET2(feet2){
	var temp = (feet2 / 10.764);
	temp = temp.toFixed(2);
	return temp;
}

function KPHtoMPH(kph2){
	var temp = (kph2 * 0.62137);
	temp = temp.toFixed(2);
	return temp;
}

function MPHtoKPH(mph2){
	var temp = (mph2 / 0.62137);
	temp = temp.toFixed(2);
	return temp;
}

function KmtoMi(km){
    var temp = (km * 0.621371192);
    temp = temp.toFixed(2);
    return temp;
}

function MitoKm(mi){
    var temp = (mi / 0.621371192);
    temp = temp.toFixed(2);
    return temp;
}

function getSumaPorcentaje(subtotal, tipo){
	//subtotal = ComaAPunto(subtotal) *1;
    subtotal = subtotal *1;
	tipo = tipo * 1;
	
	//alert('subtotal: ' + subtotal);
	//alert('tipo: ' + tipo);
	var temp = subtotal + ((subtotal * tipo) / 100);
	//alert('temp: ' + temp);
	temp = temp.toFixed(2);
	//alert('porcentaje: ' + temp);
	return temp;
}

function getPorcentaje(subtotal, tipo){
	//subtotal = parseFloat(ComaAPunto(subtotal));
    subtotal = parseFloat(subtotal);
	tipo = parseFloat(tipo);
	
	//alert('subtotal: ' + subtotal);
	//alert('tipo: ' + tipo);
	var temp = ((subtotal * tipo) / 100);
	//alert('temp: ' + temp);
	temp = temp.toFixed(2);
	//alert('porcentaje: ' + temp);
	return temp;
}

function getTotal() {
	if ($("#subtotal").val() == ''){
		return 0;
	}
    var subtot = parseFloat($("#subtotal").val());
	var impuesto;
	//if ($("#cbtaxes").prop("checked")){
    impuesto = parseFloat($("#impuestos").val());
	//} else impuesto = 0;
	var tipotip = parseFloat($('input[name=radio-choice-1]:checked').val());
    var propi = parseFloat(getPorcentaje((subtot), tipotip));
    if ($("#cbtaxes").prop("checked")) {
        var tot = parseFloat(subtot + impuesto + propi);
    } else var tot = parseFloat(subtot + propi);
    $("#propina").html(propi.toFixed(2));

	return tot.toFixed(2);
}

function getTotalFromSubtotal() {
    //alert($("#cbtaxes").prop("checked"));
    //alert('subtotal: ' + $("#subtotal").val());
    if ($("#subtotal").val() == ''){
        return 0;
    }
    //var subtot = parseFloat(ComaAPunto($("#subtotal").val()));
    var subtot = parseFloat($("#subtotal").val());
    var impuesto;
    //if ($("#cbtaxes").prop("checked")){
    impuesto = parseFloat(getPorcentaje(subtot, taxes));
    //} else impuesto = 0;
    var tipotip = parseFloat($('input[name=radio-choice-1]:checked').val());
    //La propina se calcula antes de impuestos
    //var propi = parseFloat(getPorcentaje((subtot+impuesto), tipotip));
    var propi = parseFloat(getPorcentaje((subtot), tipotip));
    if ($("#cbtaxes").prop("checked")) {
        var tot = parseFloat(subtot + impuesto + propi);
    } else var tot = parseFloat(subtot + propi);
    //$("#impuestos").text(impuesto.toFixed(2));
    $("#impuestos").val(impuesto.toFixed(2));
    $("#propina").html(propi.toFixed(2));

    //alert('impuestos: ' + impuesto);
    //alert('tipo propina: ' + selec);
    //alert('propina: ' + getSumaPorcentaje($("#subtotal").html() + $("#impuestos").html(), tipotip));

    return tot.toFixed(2);
}

function getTotalFromTax() {
    if ($("#subtotal").val() == ''){
        return 0;
    }
    var subtot = parseFloat($("#subtotal").val());
    var impuesto;
    //if ($("#cbtaxes").prop("checked")){
    impuesto = parseFloat($("#impuestos").val());
    //} else impuesto = 0;
    var tipotip = parseFloat($('input[name=radio-choice-1]:checked').val());
    var propi = parseFloat(getPorcentaje((subtot), tipotip));
    if ($("#cbtaxes").prop("checked")) {
        var tot = parseFloat(subtot + impuesto + propi);
    } else var tot = parseFloat(subtot + propi);

    return tot.toFixed(2);
}

function redondearTotal() {
	var tot = $("#total").html();
	tot = parseFloat(tot.replace(',', '.'));
	var propi = $("#propina").html();
	propi = parseFloat(propi.replace(',', '.'));
	
	var newTot = Math.round(tot);
	propi = propi + (newTot - tot);
	
	$("#propina").html(propi.toFixed(2));
	$("#total").html(newTot.toFixed(2));
}

function redondearMas() {
    var subtot = $("#subtotal").val();
    subtot = parseFloat(subtot.replace(',', '.'));
    //var impuesto = $("#impuestos").html();
    var impuesto = $("#impuestos").val();
    impuesto = parseFloat(impuesto.replace(',', '.'));

    var propi = $("#propina").html();
    propi = parseFloat(propi.replace(',', '.'));
    propi = propi + 0.05;

    if ($("#cbtaxes").prop("checked")) {
        var tot = parseFloat(subtot + impuesto + propi);
    } else var tot = parseFloat(subtot + propi);

    $("#propina").html(propi.toFixed(2));
    $("#total").html(tot.toFixed(2));
}

function redondearMenos() {
    var subtot = $("#subtotal").val();
    subtot = parseFloat(subtot.replace(',', '.'));
    //var impuesto = $("#impuestos").html();
    var impuesto = $("#impuestos").val();
    impuesto = parseFloat(impuesto.replace(',', '.'));

    var propi = $("#propina").html();
    propi = parseFloat(propi.replace(',', '.'));
    propi = propi - 0.05;

    if ($("#cbtaxes").prop("checked")) {
        var tot = parseFloat(subtot + impuesto + propi);
    } else var tot = parseFloat(subtot + propi);

    $("#propina").html(propi.toFixed(2));
    $("#total").html(tot.toFixed(2));
}

function onBackKeyDown(){
	navigator.app.exitApp();
}

function onOnline(){
	if ((navigator.connection.type != Connection.NONE) && (fechaCambio != getCurrentDate()))  {
		getCambio();
	}	
}

function decimalIncremental(elObjeto, evt) {

    var str = elObjeto.val();
    str = str.replace(".", "");
    str = str.replace(",", "");

    var val = parseFloat(str);
    var val1 = (val / 100).toFixed(2);

    elObjeto.val(val1);
}